- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libetonyek::IWAParser::ObjectRecord Struct Reference

`#include <IWAParser.h>`

## Public Member Functions
| ObjectRecord ()
| ObjectRecord (const RVNGInputStreamPtr_t &stream, unsigned type, long pos, unsigned long headerLen, unsigned long dataLen)

## Public Attributes
RVNGInputStreamPtr_t | m_stream
unsigned | m_type
std::pair< long, long > | m_headerRange
std::pair< long, long > | m_dataRange

## Constructor & Destructor Documentation

libetonyek::IWAParser::ObjectRecord::ObjectRecord | ( |  | ) |

libetonyek::IWAParser::ObjectRecord::ObjectRecord | ( | const RVNGInputStreamPtr_t & | stream,
|  | unsigned | type,
|  | long | pos,
|  | unsigned long | headerLen,
|  | unsigned long | dataLen
| ) |  |

## Member Data Documentation

std::pair<long, long> libetonyek::IWAParser::ObjectRecord::m_dataRange

Referenced by libetonyek::IWAParser::parseObjectIndex(), and libetonyek::IWAParser::queryObject().

std::pair<long, long> libetonyek::IWAParser::ObjectRecord::m_headerRange

RVNGInputStreamPtr_t libetonyek::IWAParser::ObjectRecord::m_stream

Referenced by libetonyek::IWAParser::parseObjectIndex(), and libetonyek::IWAParser::queryObject().

unsigned libetonyek::IWAParser::ObjectRecord::m_type

Referenced by libetonyek::IWAParser::queryObject().

The documentation for this struct was generated from the following files:

- IWAParser.h
- IWAParser.cpp